Loading...
Searching...
No Matches
supermatrix.hh File Reference
`#include "bcrsmatrix.hh"`
`#include "bvector.hh"`
`#include <dune/common/fmatrix.hh>`
`#include <dune/common/fvector.hh>`
`#include <dune/common/typetraits.hh>`
`#include <limits>`
`#include <dune/istl/bccsmatrixinitializer.hh>`
`#include "superlufunctions.hh"`

Go to the source code of this file.

## Classes

struct | Dune::SuperMatrixCreateSparseChooser< T >
struct | Dune::SuperMatrixPrinter< T >
struct | Dune::BaseGetSuperLUType< T >
struct | Dune::GetSuperLUType< T >
struct | Dune::GetSuperLUType< double >
struct | Dune::GetSuperLUType< float >
struct | Dune::GetSuperLUType< std::complex< double > >
struct | Dune::GetSuperLUType< std::complex< float > >
struct | Dune::SuperLUMatrix< M >
| Utility class for converting an ISTL Matrix into a SuperLU Matrix. More...
struct | Dune::SuperMatrixInitializer< M >
class | Dune::SuperLUMatrix< BCRSMatrix< B, TA > >
| Converter for BCRSMatrix to SuperLU Matrix. More...
class | Dune::SuperMatrixInitializer< BCRSMatrix< B, A > >

## Namespaces

namespace | Dune

## Variables

template<class T>
const Dtype_t | Dune::BaseGetSuperLUType< T >::type